org.gcube.dataanalysis.dataminer.poolmanager.clients.configurations

## Class AbstractConfiguration

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.clients.configurations.AbstractConfiguration

Direct Known Subclasses:
  Prod, Stage

    public abstract class AbstractConfiguration
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AbstractConfiguration()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`String` `getAlgorithmsList()`
`String` `getDepsJava()`
`String` `getDepsKnimeWorkflow()`
`String` `getDepsLinuxCompiled()`
`String` `getDepsOctave()`
`String` `getDepsPreInstalled()`
`String` `getDepsPython()`
`String` `getDepsR()`
`String` `getDepsRBlackbox()`
`String` `getDepsWindowsCompiled()`
`String` `getGhostRepo()`
`String` `getHost()`
`String` `getSoftwareRepo()`
`abstract String` `getType()`
`protected String` `getXML(String type)`
`abstract String` `getXMLModel()`
`void` `setAlgorithmsList(String algorithmsList)`
`void` `setDepsJava(String depsJava)`
`void` `setDepsKnimeWorkflow(String depsKnimeWorkflow)`
`void` `setDepsLinuxCompiled(String depsLinuxCompiled)`
`void` `setDepsOctave(String depsOctave)`
`void` `setDepsPreInstalled(String depsPreInstalled)`
`void` `setDepsPython(String depsPython)`
`void` `setDepsR(String depsR)`
`void` `setDepsRBlackbox(String depsRBlackbox)`
`void` `setDepsWindowsCompiled(String depsWindowsCompiled)`
`void` `setGhostRepo(String ghostRepo)`
`void` `setHost(String host)`
`void` `setSoftwareRepo(String softwareRepo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractConfiguration

    public AbstractConfiguration()

### Method Detail

#### getHost

    public String getHost()

#### setHost

    public void setHost(String host)

#### getAlgorithmsList

    public String getAlgorithmsList()

#### setAlgorithmsList

    public void setAlgorithmsList(String algorithmsList)

#### getSoftwareRepo

    public String getSoftwareRepo()

#### setSoftwareRepo

    public void setSoftwareRepo(String softwareRepo)

#### getGhostRepo

    public String getGhostRepo()

#### setGhostRepo

    public void setGhostRepo(String ghostRepo)

#### getDepsLinuxCompiled

    public String getDepsLinuxCompiled()

#### setDepsLinuxCompiled

    public void setDepsLinuxCompiled(String depsLinuxCompiled)

#### getDepsPreInstalled

    public String getDepsPreInstalled()

#### setDepsPreInstalled

    public void setDepsPreInstalled(String depsPreInstalled)

#### getDepsRBlackbox

    public String getDepsRBlackbox()

#### setDepsRBlackbox

    public void setDepsRBlackbox(String depsRBlackbox)

#### getDepsR

    public String getDepsR()

#### setDepsR

    public void setDepsR(String depsR)

#### getDepsJava

    public String getDepsJava()

#### setDepsJava

    public void setDepsJava(String depsJava)

#### getDepsKnimeWorkflow

    public String getDepsKnimeWorkflow()

#### setDepsKnimeWorkflow

    public void setDepsKnimeWorkflow(String depsKnimeWorkflow)

#### getDepsOctave

    public String getDepsOctave()

#### setDepsOctave

    public void setDepsOctave(String depsOctave)

#### getDepsPython

    public String getDepsPython()

#### setDepsPython

    public void setDepsPython(String depsPython)

#### getDepsWindowsCompiled

    public String getDepsWindowsCompiled()

#### setDepsWindowsCompiled

    public void setDepsWindowsCompiled(String depsWindowsCompiled)

#### getXML

    protected String getXML(String type)

#### getXMLModel

    public abstract String getXMLModel()

#### getType

    public abstract String getType()